<?php

Doo::loadCore('db/DooModel');

/**
 * 用户表
 */
class MeasureAudit extends DooModel {

    public $maid;
    public $pid;
    public $creatoruid;
    public $auditoruid;
    public $mpid;
    public $pmid;
    public $stid;
    public $numpname;
    public $times;
    public $mastatus;
    public $last;
    public $audittime;
    public $auditcontent;
    public $intime;
    public $onlineaudit;
    public $_table = 'jl_measure_audit';
    public $_primarykey = 'maid';
    public $_fields = array('maid', 'pid', 'creatoruid', 'auditoruid', 'mpid', 'pmid', 'stid', 'numpname', 'times', 'mastatus', 'last', 'audittime', 'auditcontent', 'intime','onlineaudit');

    public function __construct() {
        parent::setupModel(__CLASS__);
    }

    function getPmidWithStatus($uid, $status) {
        return $this->getOne(array('where' => 'mastatus=?', 'param' => array($status), 'asArray' => TRUE));
    }

}

?>